<!DOCTYPE html>
<html>
   <head>
      <title>The jQuery Example</title>
      <script type = "text/javascript" 
         src = "https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
      <script>
         $(document).ready(function() {
            $("#driver").click(function(event){
              // $.get('json/nations.xml', function(jd, index) {
               $.ajax({
                url: "json/nations.xml",
                type: 'GET',
                dataType: 'xml',
                success: function(data){
                    parseXml(data);

                }
               });

            });
         });
         function parseXml(xml){
             var item = $(xml).find("nations");
               
                $(item).each(function(position, value) {
                    var result ="<ul>";

                    var nation = ($(value).find("nation"));
                        console.log(nation);
                        nation.each(function(position, value){
                             result += "<li>"+$(value).find('name').text()+" is in "+ $(value).find('location').text()+ "</li>";
                        })

                  result += '</ul>'
                  $('#stage').html(result);

                    
                });
             
         }
      </script>
   </head>
   <body>
      <p>Click on the button to load result.json file</p>
      <div id = "stage" style = "background-color:yellow">STAGE</div>
      <input type = "button" id = "driver" value = "Load Data" />
   </body>
</html>
